UDEVD(8)

NAME
udevd - event managing daemon

SYNOPSIS

udevd [--daemon] [--debug-trace] [--debug] [--version] [--resolve-names=early|late|never] [--help]

DESCRIPTION

udevd listens to kernel uevents and passes the incoming events to udev. It ensures the correct event order and takes care, that events for child devices are delayed until the parent event has finished the device handling. The behavior of the running daemon can be changed with udevadm control.

OPTIONS

--daemon
    Detach and run in the background.

--debug-trace
    Run all events completely serialized. This may be useful if udev triggers actions or loads kernel modules which cause problems and a slow but continuous operation is needed, where no events are processed in parallel.

--debug
    Print debug messages to stderr.

--resolve-names
    Specify when udevd should resolve names of users and groups. When set to early (the default) names will be resolved when the rules are parsed. When set to late names will be resolved for every event. When set to never names will never be resolved and all devices will be owned by root.

--version
    Print version number.

--help
    Print help text.

ENVIRONMENT

UDEV_LOG
    Overrides the syslog priority specified in the config file.

AUTHOR

Written by Kay Sievers kay.sievers@vrfy.org.

SEE ALSO

udev(7), udevadm(8)